#include <iostream.h>
#include <fstream.h>
#include <stdlib.h>
#include "tuple.h"

GenTuple::GenTuple(int numAttrs, int *domainSizes)
{
  _numAttributes = numAttrs;
  _domSzArr = new int[numAttrs];
  _startVals = new int[numAttrs];

  int i;
  int start = 0;
  for (i = 0; i < _numAttributes; i++)
    {
      _domSzArr[i] = domainSizes[i];
      _startVals[i] = start;
      start += _domSzArr[i];
    }
  srandom(1);
}

void GenTuple::GenNextTuple(int *tuple, int *lowRestrictions=NULL, int *highRestrictions=NULL)
{
  int i;
  int randVal;

  if (NULL == lowRestrictions)
    {
#ifdef 0
      cout << tuple[-1] << " ";
#endif
      for (i = 0; i < _numAttributes; i++)
	{
	  tuple[i] = _GenRandVal(i);
#ifdef 0
	  cout << tuple[i] << " ";
#endif
	}
    }
  else
    {
#ifdef 0
      cout << "Extra " << tuple[-1] << " ";
#endif
      for (i = 0; i < _numAttributes; i++)
	{
	  tuple[i] = _GenRandVal(i, lowRestrictions[i], highRestrictions[i]);
#ifdef 0
	  cout << tuple[i] << " ";
#endif
	}
    }
#ifdef 0
  cout << endl;
#endif
}


