/*
 * Copyright (c) 1998-1999
 * Venkatesh Ganti
 * University of Wisconsin -- Madison
 * All Rights Reserved.

 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.

 * THE DEMON TEAM AT THE UNIVERSITY OF WISCONSIN-MADISON ALLOWS FREE
 * USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION. WE DISCLAIM ANY
 * LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM
 * THE USE OF THIS SOFTWARE. 
 * VENKATESH GANTI, JOHANNES GEHRKE, AND RAGHU RAMAKRISHNAN COMPRISE
 * THE DEMON TEAM
 */



#include <stdlib.h>
#include <stdio.h>
#include <assert.h>
#include <fstream.h>
#include <iostream.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>

#include "globals.h"
#include "Set.h"
#include "sample.h"



int main(int argc, char **argv)
{
  if (argc < 5)
    {
      cout << "Usage: sample <infile> <samplesize> <numsamples> <outfile-prefix> [randNum]" << endl;
      exit(1);
    }

  char datafile[MAX_NAME_LENGTH];
  char outFilePrefix[MAX_NAME_LENGTH];
  int sampleSize = 0;
  int numSamples = 1;
  int randNum;

  strcpy(datafile, argv[1]);
  sampleSize = atoi(argv[2]);
  numSamples = atoi(argv[3]);
  strcpy(outFilePrefix, argv[4]);
  randNum = atoi(argv[5]);

  SampleDataFile(datafile, outFilePrefix, sampleSize, numSamples, randNum);
}

