/*
 * Copyright (c) 1998-1999
 * Venkatesh Ganti
 * University of Wisconsin -- Madison
 * All Rights Reserved.

 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.

 * THE DEMON TEAM AT THE UNIVERSITY OF WISCONSIN-MADISON ALLOWS FREE
 * USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION. WE DISCLAIM ANY
 * LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM
 * THE USE OF THIS SOFTWARE. 
 * VENKATESH GANTI, JOHANNES GEHRKE, AND RAGHU RAMAKRISHNAN COMPRISE
 * THE DEMON TEAM
 */



#ifndef SRC_FUNCTIONS_H
#define SRC_FUNCTIONS_H

// error function from main.cpp
void error(bool usage, char * s, char * s1, char * s2 = "");

int apriori(Tree * T[],
//#ifdef SAMPLING
//	    Set * sample[], int sampleSize);
//#else
	    char * fileName, int numItems);
//#endif

int dic(Tree *T[], char *fileName, int numItems);

int readSample(ifstream & xfile, int numItems, Set * sample[], int sampleSize);

// The Tree passed in below must always be a PrefixTree.
int countAndPrune(Tree * pt, char * fileName, int numItems);

#endif SRC_FUNCTIONS_H
