#ifndef __TUPLE_H__
#define __TUPLE_H__

class GenTuple
{
private:
  int *_domSzArr;
  int *_startVals;
  int _numAttributes;

  int _GenRandVal(int attr, int lowRestriction=-1, int highRestriction=-1)
    {
      int interval;
      if (-1 == lowRestriction)
	{
	  interval = _domSzArr[attr];
	  lowRestriction = 0;
	}
      else
	interval = highRestriction-lowRestriction+1;
      return ((random() % interval) + _startVals[attr] + lowRestriction);
    }

public:
  GenTuple(int numAttrs, int *domainSizes);
  ~GenTuple()
    {
      delete [] _domSzArr;
      delete [] _startVals;
    };

  void GenNextTuple(int *tuple, int *lowRestrns=NULL, int *highRestrns=NULL);
};


#endif
