#include <iostream.h>
#include <assert.h>
#include <math.h>
#include <stdlib.h>

#include "node.h"
#include "cat_utils.h"

static int attr;
static int basin;
static Graph *graphPtr;

void SetupComparisonFn(int attrNum, int basinNum, Graph *graph)
{
  attr = attrNum;
  basin = basinNum;
  graphPtr = graph; 
}

int compareNodeWts(const void *i, const void *j)
{
  double wt1 = graphPtr->GetWt(*(int*)i, attr, basin);
  double wt2 =  graphPtr->GetWt(*(int*)j, attr, basin);
  
  return ((wt1 >= wt2) ? 1 : -1);
}
