#ifndef _utils_h
#define _utils_h

const int extraBufferSize = 100;
const int littleChunkSize = 100;
/*
 * fd: file descriptor of the open file
 * currentOffset: offset in *chars* into the current file from which point the reading should start
 * bufSize: the size of the block to be read in *chars*
 * buffer: space for at least bufSize chars
 *
 * return value:
 * size of the block in *chars*
 */
int
getNextBlock(int fd, int currentOffset, int bufSize, char* buffer = 0);
int
getNextCandBlock(int fd, int currentOffset, int bufSize, char* buffer = 0);


#endif
