#include <iostream.h>
#include <assert.h>
#include <math.h>
#include <stdlib.h>

#include "node.h"
#include "cat_utils.h"

static int attr;
static int basin;
static int startAttrVal;

void SetupComparisonFn(int attrNum, int basinNum, Graph& graph)
{
  attr = attrNum;
  basin = basinNum;
  startAttrVal = graph.StartNodeIndx2(attr, basin);
}

int compareNodeWts(int *i, int *j)
{
  double wt1 = GetWt(startAttrVal+(*i), attr, basin);
  double wt2 =  GetWt(startAttrVal+(*j), attr, basin);
  
  return ((wt1 >= wt2) ? 1 : 0);
}
