/*
 * Copyright (c) 1998-1999
 * Venkatesh Ganti
 * University of Wisconsin -- Madison
 * All Rights Reserved.

 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.

 * THE DEMON TEAM AT THE UNIVERSITY OF WISCONSIN-MADISON ALLOWS FREE
 * USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION. WE DISCLAIM ANY
 * LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM
 * THE USE OF THIS SOFTWARE. 
 * VENKATESH GANTI, JOHANNES GEHRKE, AND RAGHU RAMAKRISHNAN COMPRISE
 * THE DEMON TEAM
 */



#ifndef __SAMPLE_H__
#define __SAMPLE_H__

int readSampleStart(ifstream & xfile, Set * sample[], int sampleSize);
void getRandomOffsets(long sampleOffsets[], int sampleSize, long fileSize);
int readSampleRandom(ifstream & xfile, long sampleOffsets[],
                     Set * sample[], int sampleSize);
//int countAndPrune(PrefixTree * pt, char * fileName);

int WriteSample(ofstream& ofile, Set *sample[], int sampleSize);
void SampleDataFileWithRepl(char *datafile, char *outFilePrefix, int sampleSize, 
			    int numSamples, int randNum);

int SampleDataFileWithoutRepl(char *datafile, char *outFilePrefix, int sampleSize,
			      int seed, int numTrans);

#endif
