#include <assert.h>
#include <fstream.h>
#include <iostream.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#include "globals.h"
#include "tid-list.h"

main(int argc, char **argv)
{
  char fname[MAX_NAME_LENGTH];

  strcpy(fname, argv[1]);

  int fd;
  int bufsize = 4092;

  TIDList *tlist = new TIDList(fname, bufsize, FALSE);
  
  int tid;
  while ((tid = tlist->ReadNextTID()) >= 0)
    cout << tid << endl;
  delete tlist;
}
